import random
num = list(range(1, 126, 1))
kor = ()
for i in num:
    kor = kor + (random.randint(6, 56),)

    
print("кортеж чисел: ", kor)
print("длина кортежа: ", len(kor))
str_kor = tuple(map(str, kor))
print("кортеж с элементами - строками: ", str_kor)
L_fam = ["Dobrovolska", "Efremov", "Zelenkina", "Pohil", "Kuzmenko"]
print("список фамилий: ", L_fam)
import os
os.chdir("C:\\Users\\Лиза\\OneDrive\\Desktop\\python-labs\\TEMA6")
f = open('bin.mnz', 'wb')
import pickle
pickle.dump(str_kor, f)
pickle.dump(L_fam, f)
f.close()
f = open('bin.mnz', 'rb')
obj1 = pickle.load(f)
obj2_spis = pickle.load(f)
if obj1 == str_kor:
    print("обьекты кортежа совпадают")
else: print("обьекты кортежа не совпадают")

if obj2_spis == L_fam:
    print("обьекты списка совпадают")
else: print("обьекты списка не совпадают")
List = []
for i in range(0, 125, 5):
    List.append(list(str_kor[i:i + 5]))

for i in range(25):
    list_name = f"list{i + 1}"  #Создается имя переменной (list1, list2,..)
    globals()[list_name] = List[i]

print("совокупность чисел list 1 из кортежа: ", list1)
print("совокупность чисел list2 из кортежа: ", list2)
